Package org.apache.wiki.parser.markdown

## Class MarkdownParser

- java.lang.Object
- - org.apache.wiki.parser.MarkupParser
  - - org.apache.wiki.parser.markdown.MarkdownParser

    public class MarkdownParser
    extends MarkupParser

Class handling the markdown parsing.

### Field Summary

### Fields inherited from class org.apache.wiki.parser.MarkupParser

`CLASS_ATTACHMENT, CLASS_EDITPAGE, CLASS_EXTERNAL, CLASS_FOOTNOTE, CLASS_FOOTNOTE_REF, CLASS_INTERWIKI, CLASS_TYPES, CLASS_WIKIPAGE, HASHLINK, m_attachmentLinkMutatorChain, m_context, m_engine, m_externalLinkMutatorChain, m_headingListenerChain, m_in, m_inlineImagePatterns, m_inlineImages, m_linkMutators, m_linkParsingOperations, m_localLinkMutatorChain, m_parseAccessRules, OUTLINK, OUTLINK_IMAGE, PROP_ALLOWHTML, PROP_CAMELCASELINKS, PROP_PLAINURIS, PROP_RUNPLUGINS, PROP_USEATTACHMENTIMAGE, PROP_USEOUTLINKIMAGE, PROP_USERELNOFOLLOW, PUSHBACK_BUFFER_SIZE`

### Constructor Summary

Constructors
`MarkdownParser​(org.apache.wiki.api.core.Context context, java.io.Reader in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WikiDocument` `parse()`

### Methods inherited from class org.apache.wiki.parser.MarkupParser

`addAttachmentLinkHook, addExternalLinkHook, addHeadingListener, addLinkTransmutator, addLocalLinkHook, cleanLink, disableAccessRules, enableImageInlining, getInlineImagePatterns, getPosition, initInlineImagePatterns, isImageInlining, isParseAccessRules, makeError, nextToken, pushBack, setInputReader, wikifyLink`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkdownParser

    public MarkdownParser​(org.apache.wiki.api.core.Context context,
                          java.io.Reader in)

### Method Detail

#### parse

    public WikiDocument parse()
                       throws java.io.IOException

Specified by:
  `parse` in class `MarkupParser`
Throws:
  `java.io.IOException`